# std::multiset<Key,Compare,Allocator>::clear

From cppreference.com
< cpp‎ | container‎ | multiset

void clear(); |  | (until C++11)
void clear() noexcept; |  | (since C++11)

Erases all elements from the container. After this call, size() returns zero.

Invalidates any references, pointers, or iterators referring to contained elements. Any past-the-end iterator remains valid.

### Parameters

(none)

### Return value

(none)

### Complexity

Linear in the size of the container, i.e., the number of elements.

### See also

erase | erases elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multiset/clear&oldid=50601"